"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManualPollConfigService = void 0;
const ConfigServiceBase_1 = require("./ConfigServiceBase.js");
class ManualPollConfigService extends ConfigServiceBase_1.ConfigServiceBase {
    constructor(configFetcher, options) {
        super(configFetcher, options);
        const initialCacheSyncUp = this.syncUpWithCache();
        this.readyPromise = this.getReadyPromise(initialCacheSyncUp, async (initialCacheSyncUp) => this.getCacheState(await initialCacheSyncUp));
    }
    getCacheState(cachedConfig) {
        if (cachedConfig.isEmpty) {
            return 0;
        }
        return 2;
    }
    async getConfig() {
        this.options.logger.debug("ManualPollService.getConfig() called.");
        return await this.options.cache.get(this.cacheKey);
    }
    refreshConfigAsync() {
        this.options.logger.debug("ManualPollService.refreshConfigAsync() called.");
        return super.refreshConfigAsync();
    }
}
exports.ManualPollConfigService = ManualPollConfigService;
//# sourceMappingURL=ManualPollConfigService.js.map