"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isWeakRefAvailable = void 0;
exports.setupPolyfills = setupPolyfills;
exports.ObjectValuesPolyfill = ObjectValuesPolyfill;
exports.ObjectEntriesPolyfill = ObjectEntriesPolyfill;
exports.getWeakRefStub = getWeakRefStub;
function setupPolyfills() {
    if (typeof Object.values === "undefined") {
        Object.values = ObjectValuesPolyfill;
    }
    if (typeof Object.entries === "undefined") {
        Object.entries = ObjectEntriesPolyfill;
    }
}
function ObjectValuesPolyfill(o) {
    const result = [];
    for (const key of Object.keys(o)) {
        result.push(o[key]);
    }
    return result;
}
function ObjectEntriesPolyfill(o) {
    const result = [];
    for (const key of Object.keys(o)) {
        result.push([key, o[key]]);
    }
    return result;
}
function getWeakRefStub() {
    const WeakRef = function (target) {
        this.target = target;
    };
    WeakRef.prototype.deref = function () {
        return this.target;
    };
    WeakRef.isFallback = true;
    return WeakRef;
}
const isWeakRefAvailable = () => typeof WeakRef === "function";
exports.isWeakRefAvailable = isWeakRefAvailable;
//# sourceMappingURL=Polyfills.js.map