"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.User = void 0;
exports.getUserAttribute = getUserAttribute;
exports.getUserAttributes = getUserAttributes;
class User {
    constructor(identifier, email, country, custom = {}) {
        this.identifier = identifier;
        this.email = email;
        this.country = country;
        this.custom = custom;
    }
}
exports.User = User;
function getUserAttribute(user, name) {
    var _a, _b;
    switch (name) {
        case "Identifier": return (_a = user.identifier) !== null && _a !== void 0 ? _a : "";
        case "Email": return user.email;
        case "Country": return user.country;
        default: return (_b = user.custom) === null || _b === void 0 ? void 0 : _b[name];
    }
}
function getUserAttributes(user) {
    var _a;
    const result = {};
    const identifierAttribute = "Identifier";
    const emailAttribute = "Email";
    const countryAttribute = "Country";
    result[identifierAttribute] = (_a = user.identifier) !== null && _a !== void 0 ? _a : "";
    if (user.email != null) {
        result[emailAttribute] = user.email;
    }
    if (user.country != null) {
        result[countryAttribute] = user.country;
    }
    if (user.custom != null) {
        const wellKnownAttributes = [identifierAttribute, emailAttribute, countryAttribute];
        for (const [attributeName, attributeValue] of Object.entries(user.custom)) {
            if (attributeValue != null && wellKnownAttributes.indexOf(attributeName) < 0) {
                result[attributeName] = attributeValue;
            }
        }
    }
    return result;
}
//# sourceMappingURL=User.js.map