"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getClient = getClient;
exports.disposeAllClients = disposeAllClients;
exports.createConsoleLogger = createConsoleLogger;
exports.createFlagOverridesFromMap = createFlagOverridesFromMap;
exports.createFlagOverridesFromQueryParams = createFlagOverridesFromQueryParams;
const ConfigCatClient_1 = require("./ConfigCatClient.js");
const ConfigCatLogger_1 = require("./ConfigCatLogger.js");
const FlagOverrides_1 = require("./FlagOverrides.js");
function getClient(sdkKey, pollingMode, options, configCatKernel) {
    return ConfigCatClient_1.ConfigCatClient.get(sdkKey, pollingMode, options, configCatKernel);
}
function disposeAllClients() {
    ConfigCatClient_1.ConfigCatClient.disposeAll();
}
function createConsoleLogger(logLevel, eol) {
    return new ConfigCatLogger_1.ConfigCatConsoleLogger(logLevel, eol);
}
function createFlagOverridesFromMap(map, behaviour, watchChanges) {
    return { dataSource: new FlagOverrides_1.MapOverrideDataSource(map, watchChanges), behaviour };
}
function createFlagOverridesFromQueryParams(behaviour, watchChanges, paramPrefix, queryStringProvider) {
    return { dataSource: new FlagOverrides_1.QueryParamsOverrideDataSource(watchChanges, paramPrefix, queryStringProvider), behaviour };
}
//# sourceMappingURL=index.pubternals.core.js.map