import type { LazyLoadOptions } from "./ConfigCatClientOptions.js";
import type { IConfigFetcher } from "./ConfigFetcher.js";
import type { IConfigService, RefreshResult } from "./ConfigServiceBase.js";
import { ClientCacheState, ConfigServiceBase } from "./ConfigServiceBase.js";
import type { ProjectConfig } from "./ProjectConfig.js";
export declare class LazyLoadConfigService extends ConfigServiceBase<LazyLoadOptions> implements IConfigService {
    private readonly cacheTimeToLiveMs;
    readonly readyPromise: Promise<ClientCacheState>;
    constructor(configFetcher: IConfigFetcher, options: LazyLoadOptions);
    getConfig(): Promise<ProjectConfig>;
    refreshConfigAsync(): Promise<[RefreshResult, ProjectConfig]>;
    getCacheState(cachedConfig: ProjectConfig): ClientCacheState;
}
