import { ConfigServiceBase } from "./ConfigServiceBase.js";
export class ManualPollConfigService extends ConfigServiceBase {
    constructor(configFetcher, options) {
        super(configFetcher, options);
        const initialCacheSyncUp = this.syncUpWithCache();
        this.readyPromise = this.getReadyPromise(initialCacheSyncUp, async (initialCacheSyncUp) => this.getCacheState(await initialCacheSyncUp));
    }
    getCacheState(cachedConfig) {
        if (cachedConfig.isEmpty) {
            return 0;
        }
        return 2;
    }
    async getConfig() {
        this.options.logger.debug("ManualPollService.getConfig() called.");
        return await this.options.cache.get(this.cacheKey);
    }
    refreshConfigAsync() {
        this.options.logger.debug("ManualPollService.refreshConfigAsync() called.");
        return super.refreshConfigAsync();
    }
}
//# sourceMappingURL=ManualPollConfigService.js.map