export function setupPolyfills() {
    if (typeof Object.values === "undefined") {
        Object.values = ObjectValuesPolyfill;
    }
    if (typeof Object.entries === "undefined") {
        Object.entries = ObjectEntriesPolyfill;
    }
}
export function ObjectValuesPolyfill(o) {
    const result = [];
    for (const key of Object.keys(o)) {
        result.push(o[key]);
    }
    return result;
}
export function ObjectEntriesPolyfill(o) {
    const result = [];
    for (const key of Object.keys(o)) {
        result.push([key, o[key]]);
    }
    return result;
}
export function getWeakRefStub() {
    const WeakRef = function (target) {
        this.target = target;
    };
    WeakRef.prototype.deref = function () {
        return this.target;
    };
    WeakRef.isFallback = true;
    return WeakRef;
}
export const isWeakRefAvailable = () => typeof WeakRef === "function";
//# sourceMappingURL=Polyfills.js.map