import { DefaultEventEmitter } from "../DefaultEventEmitter.js";
import { getClient as getClientCommon } from "../index.pubternals.core.js";
import { setupPolyfills } from "../Polyfills.js";
import { IndexedDBConfigCache } from "../shared/IndexedDBConfigCache.js";
import CONFIGCAT_SDK_VERSION from "../Version.js";
import { LocalStorageConfigCache } from "./LocalStorageConfigCache.js";
import { XmlHttpRequestConfigFetcher } from "./XmlHttpRequestConfigFetcher.js";
setupPolyfills();
export function getClient(sdkKey, pollingMode, options) {
    return getClientCommon(sdkKey, pollingMode !== null && pollingMode !== void 0 ? pollingMode : 0, options, {
        configFetcher: new XmlHttpRequestConfigFetcher(),
        sdkType: "ConfigCat-UnifiedJS-Browser",
        sdkVersion: CONFIGCAT_SDK_VERSION,
        eventEmitterFactory: () => new DefaultEventEmitter(),
        defaultCacheFactory: typeof localStorage !== "undefined"
            ? LocalStorageConfigCache.tryGetFactory()
            : IndexedDBConfigCache.tryGetFactory()
    });
}
export { createConsoleLogger, createFlagOverridesFromMap, createFlagOverridesFromQueryParams, disposeAllClients } from "../index.pubternals.core.js";
export * from "../index.js";
//# sourceMappingURL=index.js.map