import { DefaultEventEmitter } from "../DefaultEventEmitter.js";
import { getClient as getClientCommon } from "../index.pubternals.core.js";
import { setupPolyfills } from "../Polyfills.js";
import { FetchApiConfigFetcher } from "../shared/FetchApiConfigFetcher.js";
import { IndexedDBConfigCache } from "../shared/IndexedDBConfigCache.js";
import CONFIGCAT_SDK_VERSION from "../Version.js";
import { ChromeLocalStorageConfigCache } from "./ChromeLocalStorageConfigCache.js";
setupPolyfills();
export function getClient(sdkKey, pollingMode, options) {
    var _a;
    return getClientCommon(sdkKey, pollingMode !== null && pollingMode !== void 0 ? pollingMode : 0, options, {
        configFetcher: new FetchApiConfigFetcher(),
        sdkType: "ConfigCat-UnifiedJS-ChromiumExtension",
        sdkVersion: CONFIGCAT_SDK_VERSION,
        eventEmitterFactory: () => new DefaultEventEmitter(),
        defaultCacheFactory: (_a = ChromeLocalStorageConfigCache.tryGetFactory()) !== null && _a !== void 0 ? _a : IndexedDBConfigCache.tryGetFactory()
    });
}
export { createConsoleLogger, createFlagOverridesFromMap, createFlagOverridesFromQueryParams, disposeAllClients } from "../index.pubternals.core.js";
export * from "../index.js";
//# sourceMappingURL=index.js.map