import { DefaultEventEmitter } from "../DefaultEventEmitter.js";
import { createFlagOverridesFromQueryParams as createFlagOverridesFromQueryParamsCommon, getClient as getClientCommon } from "../index.pubternals.core.js";
import { setupPolyfills } from "../Polyfills.js";
import { FetchApiConfigFetcher } from "../shared/FetchApiConfigFetcher.js";
import CONFIGCAT_SDK_VERSION from "../Version.js";
import { CloudflareConfigCache } from "./CloudflareConfigCache.js";
setupPolyfills();
export function getClient(sdkKey, pollingMode, options) {
    return getClientCommon(sdkKey, pollingMode !== null && pollingMode !== void 0 ? pollingMode : 0, options, {
        configFetcher: new FetchApiConfigFetcher(),
        sdkType: "ConfigCat-UnifiedJS-CloudflareWorker",
        sdkVersion: CONFIGCAT_SDK_VERSION,
        eventEmitterFactory: () => new DefaultEventEmitter(),
        defaultCacheFactory: CloudflareConfigCache.tryGetFactory()
    });
}
export { createConsoleLogger, createFlagOverridesFromMap, disposeAllClients } from "../index.pubternals.core.js";
export function createFlagOverridesFromQueryParams(behaviour, requestOrWatchChanges, paramPrefix, queryStringProvider) {
    if (!requestOrWatchChanges || typeof requestOrWatchChanges === "boolean") {
        return createFlagOverridesFromQueryParamsCommon(behaviour, requestOrWatchChanges, paramPrefix, queryStringProvider);
    }
    return createFlagOverridesFromQueryParamsCommon(behaviour, false, paramPrefix, {
        get currentValue() {
            try {
                return new URL(requestOrWatchChanges.url).search;
            }
            catch (_a) { }
        }
    });
}
export * from "../index.js";
//# sourceMappingURL=index.js.map