import { ConfigCatClient } from "./ConfigCatClient.js";
import { ConfigCatConsoleLogger } from "./ConfigCatLogger.js";
import { MapOverrideDataSource, QueryParamsOverrideDataSource } from "./FlagOverrides.js";
export function getClient(sdkKey, pollingMode, options, configCatKernel) {
    return ConfigCatClient.get(sdkKey, pollingMode, options, configCatKernel);
}
export function disposeAllClients() {
    ConfigCatClient.disposeAll();
}
export function createConsoleLogger(logLevel, eol) {
    return new ConfigCatConsoleLogger(logLevel, eol);
}
export function createFlagOverridesFromMap(map, behaviour, watchChanges) {
    return { dataSource: new MapOverrideDataSource(map, watchChanges), behaviour };
}
export function createFlagOverridesFromQueryParams(behaviour, watchChanges, paramPrefix, queryStringProvider) {
    return { dataSource: new QueryParamsOverrideDataSource(watchChanges, paramPrefix, queryStringProvider), behaviour };
}
//# sourceMappingURL=index.pubternals.core.js.map